#ifndef HAL_MGR_CONF_H_
#define HAL_MGR_CONF_H_

struct pi_srv_options {
	char		name[NAME_MAX];
	int		side;
	char		socketfile[PATH_MAX];
	char		inet_addr[PATH_MAX];
	int		timeout;
};

struct hal_mgr_options {
	int		priority;
	int		retry_tout_msec;
	char		socketfile[PATH_MAX];
};

int	config_read(const char *configfile, struct hal_mgr_options *options);
void	config_free();

#endif
